Skip to main content
PATCH
/
v1
/
agents
/
{agentId}
/
allowlist
curl --request PATCH \ --url https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/allowlist \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "projects": { "3fa85f64-5717-4562-b3fc-2c963f66afa6": { "environments": [ "dev", "prod" ] }, "1398aa31-af57-4a6a-9752-27c2e8556c3f": {} } } '
{
  "type": "https://api.matillion.com/problems/bad-request",
  "title": "Bad request",
  "status": 400,
  "detail": "Invalid request format. Please check your request body.",
  "instance": "/v1/agents/{agentId}/allowlist"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

agentId
string
required

The ID of the agent to add the project(s) and/or environment(s) to for access

Body

application/json
projects
object
required

The list of projects and associated environments to be added to the list the Agent is allowed to be scoped to. Each project should be provided as an object with the Project ID. The list of projects cannot be left empty.

Example:
{
  "projects": {
    "3fa85f64-5717-4562-b3fc-2c963f66afa6": { "environments": ["dev", "prod"] },
    "1398aa31-af57-4a6a-9752-27c2e8556c3f": {}
  }
}

Response

Project and/or environment successfully added to the Agent Allow list